Bug 35101 - Clicking the barcode.pl plugin causes screen to jump back to top
Summary: Clicking the barcode.pl plugin causes screen to jump back to top
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: Main
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-10-18 20:30 UTC by Lucas Gass
Modified: 2024-07-04 20:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.11.00,23.05.05,22.11.12


Attachments
Bug 35101: Stop screen from jumping back to top when using barcode.pl plugin (1.15 KB, patch)
2023-10-18 20:33 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 35101: Stop screen from jumping back to top when using barcode.pl plugin (1.21 KB, patch)
2023-10-19 00:01 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 35101: Stop screen from jumping back to top when using barcode.pl plugin (1.26 KB, patch)
2023-10-19 20:39 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2023-10-18 20:30:31 UTC
This is like Bug 34097 but with the barcode.pl plugin. 

To recreate:
1. Set 'autoBarcode' to something other than 'don't generate automatically'
2. If the a framwwork make sure some 952 fields have the barcode.pl plugin enabled
3. Add a new item and click the '...' next to the 952 field with the barcode.pl plugin enabled.
4. The screen jumps back to the top, annoying.
Comment 1 Lucas Gass 2023-10-18 20:33:05 UTC
Created attachment 157359 [details] [review]
Bug 35101: Stop screen from jumping back to top when using barcode.pl plugin

To test:
1. Set 'autoBarcode' to something other than 'don't generate automatically'
2. If the a framwwork make sure some 952 fields have the barcode.pl plugin enabled
3. Add a new item and click the '...' next to the 952 field with the barcode.pl plugin enabled.
4. The screen jumps back to the top, annoying.
5. Apply patch
6. Try again, it should not jump anymore!
Comment 2 ByWater Sandboxes 2023-10-19 00:01:29 UTC
Created attachment 157367 [details] [review]
Bug 35101: Stop screen from jumping back to top when using barcode.pl plugin

To test:
1. Set 'autoBarcode' to something other than 'don't generate automatically'
2. If the a framwwork make sure some 952 fields have the barcode.pl plugin enabled
3. Add a new item and click the '...' next to the 952 field with the barcode.pl plugin enabled.
4. The screen jumps back to the top, annoying.
5. Apply patch
6. Try again, it should not jump anymore!

Signed-off-by: Barbara Johnson <barbara.johnson@swbell.net>
Comment 3 Victor Grousset/tuxayo 2023-10-19 20:39:50 UTC
Created attachment 157480 [details] [review]
Bug 35101: Stop screen from jumping back to top when using barcode.pl plugin

To test:
1. Set 'autoBarcode' to something other than 'don't generate automatically'
2. If the a framwwork make sure some 952 fields have the barcode.pl plugin enabled
3. Add a new item and click the '...' next to the 952 field with the barcode.pl plugin enabled.
4. The screen jumps back to the top, annoying.
5. Apply patch
6. Try again, it should not jump anymore!

Signed-off-by: Barbara Johnson <barbara.johnson@swbell.net>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 4 Victor Grousset/tuxayo 2023-10-19 20:41:13 UTC
Works, makes sense, QA script happy, code looks good, passing QA :)
Comment 5 Tomás Cohen Arazi 2023-10-20 14:04:18 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 6 Fridolin Somers 2023-10-25 21:43:03 UTC
Pushed to 23.05.x for 23.05.05
Comment 7 Matt Blenkinsop 2023-11-13 14:03:43 UTC
Nice work everyone!

Pushed to oldstable for 22.11.x